curl --request POST \
--url https://api.twexapi.io/twitter/hashtags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hashtags": [
"btc",
"eth"
],
"startTime": "1775726400",
"endTime": "1775727300",
"sortBy": "Latest",
"maxItems": 20,
"mininumLikes": 0,
"mininumRetweets": 0,
"mininumReplies": 0,
"blueVerified": true,
"verified": true,
"language": "en",
"onlyImage": true,
"onlyVideo": true,
"onlyQuote": true,
"onlyReply": true
}
'import requests
url = "https://api.twexapi.io/twitter/hashtags"
payload = {
"hashtags": ["btc", "eth"],
"startTime": "1775726400",
"endTime": "1775727300",
"sortBy": "Latest",
"maxItems": 20,
"mininumLikes": 0,
"mininumRetweets": 0,
"mininumReplies": 0,
"blueVerified": True,
"verified": True,
"language": "en",
"onlyImage": True,
"onlyVideo": True,
"onlyQuote": True,
"onlyReply": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hashtags: ['btc', 'eth'],
startTime: '1775726400',
endTime: '1775727300',
sortBy: 'Latest',
maxItems: 20,
mininumLikes: 0,
mininumRetweets: 0,
mininumReplies: 0,
blueVerified: true,
verified: true,
language: 'en',
onlyImage: true,
onlyVideo: true,
onlyQuote: true,
onlyReply: true
})
};
fetch('https://api.twexapi.io/twitter/hashtags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tweet_id": "1803006263529541838",
"text": "<string>",
"is_paid_promotion": true,
"created_at": "Mon Jun 17 03:51:48 +0000 2024",
"created_at_datetime": "2024-06-17T03:51:48.000Z",
"bookmark_count": 0,
"bookmarked": false,
"community_note": "<string>",
"edit_tweet_ids": [],
"editable_until_msecs": "<string>",
"edits_remaining": "<string>",
"favorite_count": 0,
"favorited": false,
"full_text": "<string>",
"has_card": false,
"has_community_notes": false,
"hashtags": [
"AI",
"Python"
],
"cashtags": [
"$TSLA"
],
"id": "<string>",
"in_reply_to": "<string>",
"in_reply_to_user_id": "<string>",
"in_reply_to_screen_name": "<string>",
"is_edit_eligible": false,
"is_quote_status": false,
"quoted_status_id_str": "<string>",
"is_translatable": false,
"lang": "en",
"media": [],
"place": "<string>",
"poll": "<string>",
"possibly_sensitive": true,
"possibly_sensitive_editable": true,
"quote": "<unknown>",
"quote_count": 0,
"related_tweets": [],
"replies": [],
"reply_count": 0,
"reply_to": "<unknown>",
"retweet_count": 0,
"retweeted_tweet": "<unknown>",
"thread": [
"<unknown>"
],
"thumbnail_title": "<string>",
"thumbnail_url": "<string>",
"urls": [],
"user": {
"id": "1717001045992251392",
"name": "Cryptoklepto",
"screen_name": "CK_Cryptoklepto",
"created_at": "Mon Oct 28 02:32:47 +0000 2024",
"created_at_datetime": "2024-10-28T02:32:47.000Z",
"can_dm": false,
"can_media_tag": false,
"default_profile": false,
"default_profile_image": false,
"description": "",
"description_urls": [],
"urls": [
{
"url": "https://www.google.com",
"expanded_url": "https://www.google.com",
"display_url": "www.google.com"
}
],
"fast_followers_count": 0,
"favourites_count": 0,
"followers_count": 0,
"following_count": 0,
"has_custom_timelines": false,
"is_blue_verified": false,
"verified_type": "government",
"is_verified": false,
"profile_image_shape": "Circle",
"is_translator": false,
"listed_count": 0,
"location": "New York, USA",
"media_count": 0,
"normal_followers_count": 0,
"pinned_tweet_ids": [],
"possibly_sensitive": false,
"profile_banner_url": "<string>",
"profile_image_url": "<string>",
"protected": false,
"statuses_count": 0
},
"view_count": "<string>",
"view_count_state": "<string>",
"status": {},
"target_count": 123
}
],
"code": 200,
"msg": "success"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Search Hashtags
Search for tweets containing specific hashtags. The maximum input quantity is limited by your plan’s QPS. To pass larger input quantity limits, upgrade your plan to get higher QPS.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Query parameters for searching hashtags
Hashtag to search for (with or without # prefix)
["btc", "eth"]
Start time for search in UNIX timestamp
"1775726400"
End time for search in UNIX timestamp
"1775727300"
Sort order for results
Latest, Top Maximum number of tweets to return
1 <= x <= 1000Minimum number of likes required
x >= 0Minimum number of retweets required
x >= 0Minimum number of replies required
x >= 0Filter for blue verified accounts only
Filter for verified accounts only
Language filter for tweets
am, ar, bg, bn, bo, ca, ch, cs, da, de, dv, el, en, es, et, fa, fi, fr, gu, hi, ht, hu, hy, in, is, it, iu, iw, ja, ka, km, kn, ko, lo, lt, lv, ml, my, ne, nl, no, or, pa, pl, pt, ro, ru, si, sk, sl, sv, ta, te, th, tl, tr, uk, ur, vi, zh "en"
Filter for images only
Filter for videos only
Filter for quotes only
Filter for replies only